Skip to main content

Sync All users from LDAP

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/ldap/{componentId}/fullsync?action=triggerFullSync

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/v3_ldap/sync/{componentId}/fullsync?action=triggerFullSync
note

At this moment, this API is applicable for SSMS based installations.

Parameters​

Field NameTypeDescription
componentIdStringComponent Id of the LDAP (Path Parameter)
actionStringAction should be in 'triggerFullSync' (Query Parameter)

Request body​

No Request Body.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call.
statusStringThe status of the API call.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataObjectsSynced users details

Sample Response​

{
"message": "Success",
"status": "OK",
"subSystem": 9,
"data": {
"ignored": false,
"added": 0,
"updated": 0,
"removed": 0,
"failed": 11,
"status": "0 imported users, 0 updated users, 11 users failed sync! See server log for more details"
}
}